# Ignore CMake build folders
cmake-build-debug/
build/

# CLion project files
.idea/
*.iml

# Executables
*.exe
*.out
*.app

# Object files and libraries
*.o
*.obj
*.a
*.lib
*.so
*.dll
*.dylib

# CMake generated files
CMakeCache.txt
CMakeFiles/
cmake_install.cmake
compile_commands.json

# Temporary files
*.log
*.tmp
